<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Static</title>
  <style>

    body {
      width: 550px;
      margin: 0 auto;
      font-family: "Roboto";
    }

    p {
        background-color: #cfe8dc;
        border: 2px solid #4fb9e3;
        padding: 10px;
        margin: 10px;
        border-radius: 5px;
    }

    
    .relativo {
      position: relative;
      background: #e6b56b5b;
      border: 2px solid #5f420b;
      top: 20px;
      left: 30px;
    }
    

    
    .absoluto {
        position: absolute;
        background: #ff54684d;
        border: 2px solid #ff5468;
        top: 40px;
        right: 30px;
    }
    

    
    .fixo {
        position: fixed;
        background: #6ca3f57e;
        /* z-index: -1; */
        border: 2px solid #1a0c96;
        top: 310px;
        right: 30px;  
    }
    

    
    .pegajoso {
      position: sticky;
      background: #4ff149af;
      border: 2px solid #0b5317;
      top: 0px;
      left: 30px;
    }
    

  </style>
</head>
<body>
  <h1>position: ?</h1>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p class="relativo  ">Elemento com posicionamento relativo (relative) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p class="absoluto">Elemento com posicionamento absoluto (absolute) sai da relatividade.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p class="fixo">Elemento com posicionamento fixo (fixed) sai do fluxo.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p class="pegajoso">Elemento com posicionamento pegajoso (sticky), depende.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
  <p>Elemento com posicionamento estático (static) fica no fluxo normal.</p>
</body>
</html>